Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mauda
Class JedasPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      mauda.JedasPanel

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.lang.Runnable, java.util.EventListener, javax.accessibility.Accessible, jedas.JedasApplication

    public class JedasPanel

extends javax.swing.JPanel
implements jedas.JedasApplication, java.awt.event.ActionListener

The panel for displaying jedas and additionally allows control for a quick-animation. Furthermore it shows the progress-status in percent of the completion of the currently to-execute operations.

Author:
  Markus Krebs
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JedasPanel()` Creates a new JedasPanel

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`static java.lang.String[]` | `getAnimationInformation()` Gets information of the animation
`jedas.CompPanel` | `getCompPanel()` Gets the Jedas-CompPanel
`jedas.ControlPanel` | `getControlPanel()` Gets the Jedas-ControlPanel
`jedas.Scheduler` | `getScheduler()` Gets the Jedas-Scheduler
`void` | `initJedas()`
`void` | `nextNoProgressBar()` Sets that the next time the jedas-animation will be started, that there's no progress-bar should displayed.
`void` | `run()` This methode gets the animation-queue from the `Exercise` and executes them on the current data-structure.
`void` | `setDifficultyLabel(java.lang.String s)` Sets the text of the difficulty-label
`void` | `setExercise(Exercise ex)` Sets the exercise from where the JedasPanel gets his information for operations to execute
`void` | `setMessage(java.lang.String msg)`
`void` | `setModeLabel(java.lang.String s)` Sets the text of the mode-label
`void` | `setNormalCompPanel(jedas.CompPanel co)`
`void` | `setPercentLabel(java.lang.String s)` Sets the text of the percent-label
`void` | `setPlayerCompPanel(jedas.CompPanel co)` Sets the JedasPlayer-CompPanel.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JedasPanel

    public JedasPanel()

  Creates a new JedasPanel

Method Detail

### nextNoProgressBar

    public void nextNoProgressBar()

  Sets that the next time the jedas-animation will be started, that there's no progress-bar should displayed.

### getScheduler

    public jedas.Scheduler getScheduler()

  Gets the Jedas-Scheduler

  Returns:
    Jedas-Scheduler

### getControlPanel

    public jedas.ControlPanel getControlPanel()

  Gets the Jedas-ControlPanel

  Returns:
    Jedas-ControlPanel

### getCompPanel

    public jedas.CompPanel getCompPanel()

  Gets the Jedas-CompPanel

  Returns:
    Jedas-CompPanel

### setNormalCompPanel

    public void setNormalCompPanel(jedas.CompPanel co)

### setPlayerCompPanel

    public void setPlayerCompPanel(jedas.CompPanel co)

  Sets the JedasPlayer-CompPanel.

  Parameters:
    `co` - CompPanel from Jedas-Animation

### setMessage

    public void setMessage(java.lang.String msg)

### setExercise

    public void setExercise(Exercise ex)

  Sets the exercise from where the JedasPanel gets his information for operations to execute

  Parameters:
    `ex` - Exercise

### setDifficultyLabel

    public void setDifficultyLabel(java.lang.String s)

  Sets the text of the difficulty-label

  Parameters:
    `s` - Difficulty-string

### setModeLabel

    public void setModeLabel(java.lang.String s)

  Sets the text of the mode-label

  Parameters:
    `s` - Mode-string

### setPercentLabel

    public void setPercentLabel(java.lang.String s)

  Sets the text of the percent-label

  Parameters:
    `s` - Percent-String

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### initJedas

    public void initJedas()

  Specified by:
    `initJedas` in interface `jedas.JedasApplication`

### run

    public void run()

  This methode gets the animation-queue from the `Exercise` and executes them on the current data-structure.

  Specified by:
    `run` in interface `java.lang.Runnable`
  Specified by:
    `run` in interface `jedas.JedasApplication`
  See Also:
    `Runnable.run()`

### getAnimationInformation

    public static java.lang.String[] getAnimationInformation()

  Gets information of the animation

  Returns:
    information-string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD